Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
articleview.php File Reference

Go to the source code of this file.

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZArticleMain", "Language" )
| $ForceCategoryDefinition = $ini->variable( "eZArticleMain", "ForceCategoryDefinition" )
| $TemplateDir = $ini->variable( "eZArticleMain", "TemplateDir" )
| $CapitalizeHeadlines = $ini->variable( "eZArticleMain", "CapitalizeHeadlines" )
| $ListImageWidth = $ini->variable( "eZArticleMain", "ListImageWidth" )
| $ListImageHeight = $ini->variable( "eZArticleMain", "ListImageHeight" )
if( $ForceCategoryDefinition=="enabled") | $GlobalSectionID = eZArticleCategory::sectionIDStatic( $CategoryID )
| $sectionObject =& eZSection::globalSectionObject( $GlobalSectionID )
| $templateDirTmp = $sectionObject->templateStyle()
if( $templateDirTmp !=null &&trim( $templateDirTmp) !="") | $t
| $StaticPage = false
if( $url_array[2]=="static"|| $url_array[2]=="articlestatic") | $override = "_override_$CategoryID"
| $sectionOverride = "_sectionoverride_$GlobalSectionID"
if( $StaticPage==true) | else
| $ManualKeywords =& $article->manualKeywords()
| $listImageWidthOverride =& $t->get_user_variable( "article_view_page_tpl", "ListImageWidth" )
if( $listImageWidthOverride) | $listImageHeightOverride =& $t->get_user_variable( "article_view_page_tpl", "ListImageHeight" )
if( $listImageHeightOverride) | $SiteURL = $ini->variable( "site", "UserSiteURL" )
| $article = new eZArticle( )
| $types = $article->types()
| $typeCount = count( $types )
if( $typeCount > 0) | $files = $article->files()
| $currentuser =& eZUser::currentUser()
| $editOwnArticle =$ini->variable( "eZArticleMain", "UserEditOwnArticle" )
| $SiteTitleAppend = $article->name()
| $SiteDescriptionOverride = str_replace( "\"", "", strip_tags( $articleContents[0] ) )
| $SiteKeywordsOverride = str_replace( "\"", "", strip_tags( $article->keywords() ) )

## Variable Documentation

## ◆ $article

$article = new eZArticle( )

Definition at line 194 of file articleview.php.

## ◆ $CapitalizeHeadlines

$CapitalizeHeadlines = $ini->variable( "eZArticleMain", "CapitalizeHeadlines" )

Definition at line 43 of file articleview.php.

## ◆ $currentuser

$currentuser =& eZUser::currentUser()

Definition at line 634 of file articleview.php.

## ◆ $editOwnArticle

$editOwnArticle =$ini->variable( "eZArticleMain", "UserEditOwnArticle" )

Definition at line 636 of file articleview.php.

## ◆ $files

if ($typeCount > 0) $files = $article->files()

Definition at line 519 of file articleview.php.

## ◆ $ForceCategoryDefinition

$ForceCategoryDefinition = $ini->variable( "eZArticleMain", "ForceCategoryDefinition" )

Definition at line 41 of file articleview.php.

## ◆ $GlobalSectionID

if ($ForceCategoryDefinition=="enabled") $GlobalSectionID = eZArticleCategory::sectionIDStatic( $CategoryID )

Definition at line 64 of file articleview.php.

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 38 of file articleview.php.

## ◆ $Language

$Language = $ini->variable( "eZArticleMain", "Language" )

Definition at line 40 of file articleview.php.

## ◆ $ListImageHeight

$ListImageHeight = $ini->variable( "eZArticleMain", "ListImageHeight" )

Definition at line 45 of file articleview.php.

## ◆ $listImageHeightOverride

if ($listImageWidthOverride) $listImageHeightOverride =& $t->get_user_variable( "article_view_page_tpl", "ListImageHeight" )

Definition at line 176 of file articleview.php.

## ◆ $ListImageWidth

$ListImageWidth = $ini->variable( "eZArticleMain", "ListImageWidth" )

Definition at line 44 of file articleview.php.

## ◆ $listImageWidthOverride

$listImageWidthOverride =& $t->get_user_variable( "article_view_page_tpl", "ListImageWidth" )

Definition at line 170 of file articleview.php.

## ◆ $ManualKeywords

$ManualKeywords =& $article->manualKeywords()

Definition at line 166 of file articleview.php.

## ◆ $override

if ($url_array[2]=="static"||$url_array[2]=="articlestatic") $override = "_override_$CategoryID"

Definition at line 89 of file articleview.php.

## ◆ $sectionObject

$sectionObject =& eZSection::globalSectionObject( $GlobalSectionID )

Definition at line 67 of file articleview.php.

## ◆ $sectionOverride

$sectionOverride = "_sectionoverride_$GlobalSectionID"

Definition at line 92 of file articleview.php.

## ◆ $SiteDescriptionOverride

$SiteDescriptionOverride = str_replace( "\"", "", strip_tags( $articleContents[0] ) )

Definition at line 655 of file articleview.php.

## ◆ $SiteKeywordsOverride

$SiteKeywordsOverride = str_replace( "\"", "", strip_tags( $article->keywords() ) )

Definition at line 656 of file articleview.php.

## ◆ $SiteTitleAppend

$SiteTitleAppend = $article->name()

Definition at line 654 of file articleview.php.

## ◆ $SiteURL

if ($listImageHeightOverride) $SiteURL = $ini->variable( "site", "UserSiteURL" )

Definition at line 183 of file articleview.php.

Referenced by eZArticleTool\notificationMessage().

## ◆ $StaticPage

$StaticPage = false

Definition at line 81 of file articleview.php.

## ◆ $t

if ($templateDirTmp !=null &&trim($templateDirTmp) !="") $t

Initial value:
= new eZTemplate( "kernel/ezarticle/user/" . $TemplateDir,
"kernel/ezarticle/user/intl/", $Language, "articleview.php" )
$TemplateDir
$TemplateDir
Definition: articleview.php:42
$Language
$Language
Definition: articleview.php:40
eZTemplate
Definition: eztemplate.php:107

Definition at line 76 of file articleview.php.

## ◆ $TemplateDir

$TemplateDir = $ini->variable( "eZArticleMain", "TemplateDir" )

Definition at line 42 of file articleview.php.

## ◆ $templateDirTmp

$templateDirTmp = $sectionObject->templateStyle()

Definition at line 70 of file articleview.php.

## ◆ $typeCount

$typeCount = count( $types )

Definition at line 483 of file articleview.php.

## ◆ $types

$types = $article->types()

Definition at line 481 of file articleview.php.

## ◆ else

if (isset($GenerateStaticPage) &&$GenerateStaticPage=="true") else

Initial value:
{
if ( isset( $PrintableVersion ) and $PrintableVersion == "enabled" )
{
$t->set_file( "article_view_page_tpl", "articleprint.tpl" );
}
else
{
if ( file_exists( "kernel/ezarticle/user/$TemplateDir/articleview" . $override . ".tpl" ) )
{
$t->set_file( "article_view_page_tpl", "articleview" . $override . ".tpl" );
}
else
{
if ( file_exists( "kernel/ezarticle/user/$TemplateDir/articleview" . $sectionOverride . ".tpl" ) )
{
$t->set_file( "article_view_page_tpl", "articleview" . $sectionOverride . ".tpl" );
}
else
{
$t->set_file( "article_view_page_tpl", "articleview.tpl" );
}
}
}
}
$t->set_block( "article_view_page_tpl", "path_item_tpl", "path_item" )
$t
if( $templateDirTmp !=null &&trim( $templateDirTmp) !="") $t
Definition: articleview.php:76
$sectionOverride
$sectionOverride
Definition: articleview.php:92
$override
if( $url_array[2]=="static"|| $url_array[2]=="articlestatic") $override
Definition: articleview.php:89
file_exists
static file_exists( $inifilename)
Definition: eZPBINIFile.php:195

Definition at line 101 of file articleview.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.